View a markdown version of this page

ListDatasets - Amazon Bedrock AgentCore Control Plane

ListDatasets

Lists all datasets in the caller's account, paginated.

Request Syntax

GET /datasets?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of datasets to return per page.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token for the next page of results.

Length Constraints: Minimum length of 0. Maximum length of 2048.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "datasets": [ { "createdAt": number, "datasetArn": "string", "datasetId": "string", "datasetName": "string", "description": "string", "draftStatus": "string", "exampleCount": number, "schemaType": "string", "status": "string", "updatedAt": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

datasets

The list of datasets.

Type: Array of DatasetSummary objects

nextToken

The token for the next page of results, or null if there are no more results.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: